BinaryLogicOperatorNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class BinaryLogicOperatorNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.BinaryLogicOperatorNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, BinaryOperatorNode, InitializeableNode, OperatorNode

Direct Known Subclasses:
  InLogicOperatorNode

    public class BinaryLogicOperatorNode

extends HqlSqlWalkerNode
implements BinaryOperatorNode

Contract for nodes representing binary operators.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`BinaryLogicOperatorNode()`

Method Summary
`protected Type` | `extractDataType(Node operand)`
`protected static String[]` | `extractMutationTexts(Node operand, int count)`
`Type` | `getDataType()` Retrieves the data type for the overall operator expression.
`Node` | `getLeftHandOperand()` Retrieves the left-hand operand of the operator.
`Node` | `getRightHandOperand()` Retrieves the right-hand operand of the operator.
`void` | `initialize()` Performs the operator node initialization by seeking out any parameter nodes and setting their expected type, if possible.
`protected void` | `mutateRowValueConstructorSyntaxesIfNecessary(Type lhsType, Type rhsType)`
`protected void` | `translate(int valueElements, int comparisonType, String comparisonText, String[] lhsElementTexts, String[] rhsElementTexts, ParameterSpecification lhsEmbeddedCompositeParameterSpecification, ParameterSpecification rhsEmbeddedCompositeParameterSpecification, antlr.collections.AST container)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryLogicOperatorNode

    public BinaryLogicOperatorNode()

Method Detail

### initialize

    public void initialize()
                    throws antlr.SemanticException

  Performs the operator node initialization by seeking out any parameter nodes and setting their expected type, if possible.

  Specified by:
    `initialize` in interface `OperatorNode`
  Throws:
    `antlr.SemanticException`

### mutateRowValueConstructorSyntaxesIfNecessary

    protected final void mutateRowValueConstructorSyntaxesIfNecessary(Type lhsType,
                                                                      Type rhsType)

### translate

    protected void translate(int valueElements,
                             int comparisonType,
                             String comparisonText,
                             String[] lhsElementTexts,
                             String[] rhsElementTexts,
                             ParameterSpecification lhsEmbeddedCompositeParameterSpecification,
                             ParameterSpecification rhsEmbeddedCompositeParameterSpecification,
                             antlr.collections.AST container)

### extractMutationTexts

    protected static String[] extractMutationTexts(Node operand,
                                                   int count)

### extractDataType

    protected Type extractDataType(Node operand)

### getDataType

    public Type getDataType()

  Description copied from interface: `OperatorNode`
  Retrieves the data type for the overall operator expression.

  Specified by:
    `getDataType` in interface `OperatorNode`
  Overrides:
    `getDataType` in class `SqlNode`
  Returns:
    The expression's data type.

### getLeftHandOperand

    public Node getLeftHandOperand()

  Retrieves the left-hand operand of the operator.

  Specified by:
    `getLeftHandOperand` in interface `BinaryOperatorNode`
  Returns:
    The left-hand operand

### getRightHandOperand

    public Node getRightHandOperand()

  Retrieves the right-hand operand of the operator.

  Specified by:
    `getRightHandOperand` in interface `BinaryOperatorNode`
  Returns:
    The right-hand operand

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.